Package org.eclipse.m2m.atl.emftvm.util

## Class LazyOrderedSet.ExcludingOrderedSet.ExcludingOrderedSetListIterator

- java.lang.Object
- - org.eclipse.m2m.atl.emftvm.util.LazyCollection.ReadOnlyIterator<E>
  - - org.eclipse.m2m.atl.emftvm.util.LazyCollection.ReadOnlyListIterator<E>
    - - org.eclipse.m2m.atl.emftvm.util.LazyCollection.WrappedListIterator
      - - org.eclipse.m2m.atl.emftvm.util.LazyOrderedSet.ExcludingOrderedSet.ExcludingOrderedSetListIterator

All Implemented Interfaces:
  `java.util.Iterator<E>`, `java.util.ListIterator<E>`

Enclosing class:
  LazyOrderedSet.ExcludingOrderedSet<E>

    public class LazyOrderedSet.ExcludingOrderedSet.ExcludingOrderedSetListIterator
    extends LazyCollection.WrappedListIterator

`ListIterator` that excludes a given object.

### Field Summary

Fields
`protected int` `i`
`protected E` `next`
`protected boolean` `nextSet`
`protected E` `prev`
`protected boolean` `prevSet`

### Fields inherited from class org.eclipse.m2m.atl.emftvm.util.LazyCollection.WrappedListIterator

`inner`

### Constructor Summary

Constructors
`ExcludingOrderedSetListIterator()` Creates a new `LazyCollection.ExcludingIterator`.
`ExcludingOrderedSetListIterator​(int index)` Creates a new `LazyCollection.ExcludingIterator`.

### Method Summary

All Methods Instance Methods Concrete Methods
`boolean` `hasNext()`
`boolean` `hasPrevious()`
`E` `next()`
`int` `nextIndex()`
`E` `previous()`
`int` `previousIndex()`

### Methods inherited from class org.eclipse.m2m.atl.emftvm.util.LazyCollection.ReadOnlyListIterator

`add, set`

### Methods inherited from class org.eclipse.m2m.atl.emftvm.util.LazyCollection.ReadOnlyIterator

`remove`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface java.util.Iterator

`forEachRemaining`

### Methods inherited from interface java.util.ListIterator

`remove`

### Field Detail

#### i

    protected int i

#### next

    protected E next

#### nextSet

    protected boolean nextSet

#### prev

    protected E prev

#### prevSet

    protected boolean prevSet

### Constructor Detail

#### ExcludingOrderedSetListIterator

    public ExcludingOrderedSetListIterator()

Creates a new `LazyCollection.ExcludingIterator`.

#### ExcludingOrderedSetListIterator

    public ExcludingOrderedSetListIterator​(int index)

Creates a new `LazyCollection.ExcludingIterator`.

Parameters:
  `index` - the iterator starting index.

### Method Detail

#### hasNext

    public boolean hasNext()

Specified by:
  `hasNext` in interface `java.util.Iterator<E>`
Specified by:
  `hasNext` in interface `java.util.ListIterator<E>`
Overrides:
  `hasNext` in class `LazyCollection.WrappedListIterator`

#### next

    public E next()

Specified by:
  `next` in interface `java.util.Iterator<E>`
Specified by:
  `next` in interface `java.util.ListIterator<E>`
Overrides:
  `next` in class `LazyCollection.WrappedListIterator`

#### nextIndex

    public int nextIndex()

Specified by:
  `nextIndex` in interface `java.util.ListIterator<E>`
Overrides:
  `nextIndex` in class `LazyCollection.WrappedListIterator`

#### hasPrevious

    public boolean hasPrevious()

Specified by:
  `hasPrevious` in interface `java.util.ListIterator<E>`
Overrides:
  `hasPrevious` in class `LazyCollection.WrappedListIterator`

#### previous

    public E previous()

Specified by:
  `previous` in interface `java.util.ListIterator<E>`
Overrides:
  `previous` in class `LazyCollection.WrappedListIterator`

#### previousIndex

    public int previousIndex()

Specified by:
  `previousIndex` in interface `java.util.ListIterator<E>`
Overrides:
  `previousIndex` in class `LazyCollection.WrappedListIterator`